"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Header = void 0;
const react_1 = __importDefault(require("react"));
const react_2 = require("@chakra-ui/react");
const icons_1 = require("@chakra-ui/icons");
const constants_1 = require("../constants");
const Links = [
    { link: "Docs", href: constants_1.DOCS_URL },
    { link: "Blog", href: constants_1.BLOG_URL },
    { link: "Launchpad", href: `${constants_1.MARKETPLACE_URL}/launchpad` },
    { link: "Bounties", href: `${constants_1.MARKETPLACE_URL}/bounties` },
    /*   { link: "Investors", href: "/investors" }, */
];
const NavLink = ({ href, children }) => (react_1.default.createElement(react_2.Link, { px: 2, py: 1, href: href, fontSize: "sm" }, children));
const Header = () => {
    const { isOpen, onOpen, onClose } = (0, react_2.useDisclosure)();
    /* const { disconnect, connected } = useWallet(); */
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(react_2.Box, { zIndex: 100, color: "white", bg: "black.300", w: "full" },
            react_1.default.createElement(react_2.Center, { w: "full", height: "56px", alignItems: "center" },
                react_1.default.createElement(react_2.Container, { maxW: "container.lg", w: "full", display: "flex", justifyContent: "space-between", alignItems: "center" },
                    react_1.default.createElement(react_2.IconButton, { size: "md", bg: "black.300", icon: isOpen ? react_1.default.createElement(icons_1.CloseIcon, null) : react_1.default.createElement(icons_1.HamburgerIcon, null), "aria-label": "Open Menu", display: { md: "none" }, _active: {
                            bg: "black.300",
                        }, _hover: {
                            bg: "black.300",
                        }, onClick: isOpen ? onClose : onOpen }),
                    react_1.default.createElement(react_2.HStack, { spacing: 8, alignItems: "center" },
                        react_1.default.createElement(react_2.Link, { href: "/" },
                            react_1.default.createElement(react_2.Image, { alt: "Strata", src: "/logo.svg" })),
                        react_1.default.createElement(react_2.HStack, { as: "nav", spacing: 4, display: { base: "none", md: "flex" } }, Links.map((link) => (react_1.default.createElement(NavLink, { key: link.link, href: link.href }, link.link))))),
                    react_1.default.createElement(react_2.Link, { href: "https://solana.com/news/riptide-hackathon-winners-solana#daos-track", isExternal: true, w: "auto", _hover: {
                            cursor: "pointer",
                            opacity: "0.7",
                        } },
                        react_1.default.createElement(react_2.Image, { src: "/riptideAppBarBanner.png", alt: "riptide hackathon 1st place winner DAOs Track", height: "46px" })))),
            isOpen ? (react_1.default.createElement(react_2.Box, { pb: 4, display: { md: "none" } },
                react_1.default.createElement(react_2.VStack, { as: "nav", spacing: 4 }, Links.map((link) => (react_1.default.createElement(NavLink, { key: link.link, href: link.href }, link.link)))))) : null)));
};
exports.Header = Header;
//# sourceMappingURL=Header.js.map