"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Bounties = void 0;
const react_1 = __importDefault(require("react"));
const react_2 = require("@chakra-ui/react");
const constants_1 = require("../../constants");
const Bounties = () => (react_1.default.createElement(react_2.Box, { w: "full", bg: "gray.900", color: "white" },
    react_1.default.createElement(react_2.Container, { maxW: "container.lg" },
        react_1.default.createElement(react_2.Flex, { align: "center", justify: {
                base: "center",
                md: "space-between",
                xl: "space-between",
            }, direction: { base: "column-reverse", md: "row" }, wrap: "nowrap", pt: 20 },
            react_1.default.createElement(react_2.Stack, { gap: 2, w: { base: "80%", md: "38%" }, align: ["center", "center", "flex-start", "flex-start"] },
                react_1.default.createElement(react_2.Text, { fontSize: "sm", fontWeight: "semibold", color: "cyan.500" }, "APP SPOTLIGHT"),
                react_1.default.createElement(react_2.Text, { fontSize: "3xl", fontWeight: "bold" }, "Collective Bounties"),
                react_1.default.createElement(react_2.Text, null,
                    "Strata Bounties allow you to setup and support projects you would like to see brought to life. Using Bounties, you can commission art projects or get your favorite musician to come to your city!",
                    " "),
                react_1.default.createElement(react_2.Stack, { direction: "row", gap: 2, w: "full" },
                    react_1.default.createElement(react_2.Button, { isFullWidth: true, colorScheme: "orange", as: react_2.Link, href: `${constants_1.MARKETPLACE_URL}/bounties`, _hover: {
                            textDecoration: "none",
                        } }, "Try Bounties"),
                    react_1.default.createElement(react_2.Button, { isFullWidth: true, colorScheme: "orange", variant: "outline", textColor: "white", borderColor: "orange.500", _hover: { bg: "orange.500", textDecoration: "none" }, as: react_2.Link, href: `${constants_1.DOCS_URL}/marketplace/bounties`, px: 16 }, "View Bounties Docs"))),
            react_1.default.createElement(react_2.Box, { lineHeight: "normal", width: { base: "100%", md: "80%" }, ml: {
                    base: 0,
                    md: 14,
                }, mb: { base: 16, md: 0 } },
                react_1.default.createElement(react_2.Stack, { bg: "#191C2A", direction: "row", gap: 4, rounded: "lg", border: "1px solid white", p: 8, ml: 30 },
                    react_1.default.createElement(react_2.Image, { src: "/dtpBounty.png", alt: "Degen Trash Pandas Bounty", width: "48px", height: "48px" }),
                    react_1.default.createElement(react_2.Stack, { spacing: "4", justifyContent: "left", flexWrap: "wrap" },
                        react_1.default.createElement(react_2.Text, { fontSize: "xl", fontWeight: "bold" }, "The Degens take on plastic: Because a global problem needs a global $SOLution"),
                        react_1.default.createElement(react_2.Stack, { direction: "row", gap: 2, fontSize: "sm", display: { base: "none", sm: "flex" } },
                            react_1.default.createElement(react_2.Text, { align: "left" },
                                react_1.default.createElement(react_2.Text, { as: "span", fontWeight: "bold" }, "Requester"),
                                " ",
                                "@EndangeredDegen"),
                            react_1.default.createElement(react_2.Text, { align: "left" },
                                react_1.default.createElement(react_2.Text, { as: "span", fontWeight: "bold" }, "Approver"),
                                " ",
                                "@EndangeredDegen")),
                        react_1.default.createElement(react_2.Text, { fontSize: "sm", color: "gray.400" }, "Created 1 day ago"))),
                react_1.default.createElement(react_2.Box, { bg: "gray.900", display: "inline-block", rounded: "lg", border: "1px solid", borderColor: "cyan.500", p: 4, pr: 12, mt: "-20px" },
                    react_1.default.createElement(react_2.Stack, { spacing: "2" },
                        react_1.default.createElement(react_2.Text, null,
                            react_1.default.createElement(react_2.Text, { as: "span", fontWeight: "bold" }, "1,018.201"),
                            " ",
                            "SOL"),
                        react_1.default.createElement(react_2.Text, null, "Contributed"))),
                react_1.default.createElement(react_2.Box, { mt: "-40px", ml: "200px", bgGradient: "linear(to-b, rgba(255, 255, 255, 1), rgba(255, 255, 255, 0))", bgClip: "text", display: { base: "none", sm: "flex" } },
                    react_1.default.createElement(react_2.Stack, null,
                        react_1.default.createElement(react_2.Text, { fontSize: "sm", fontWeight: "bold", mb: 2 }, "Top Contributors"),
                        react_1.default.createElement(react_2.Stack, { fontSize: "sm", lineHeight: "normal" },
                            react_1.default.createElement(react_2.Stack, { direction: "row", spacing: 4, w: "full", alignItems: "center" },
                                react_1.default.createElement(react_2.Text, null, "1"),
                                react_1.default.createElement(react_2.Text, null, "Gc9kFEDJaSv8PEGks..."),
                                react_1.default.createElement(react_2.Text, { flexGrow: 1, align: "right", fontWeight: "bold" }, "129.00")),
                            react_1.default.createElement(react_2.Divider, { color: "gray.300" })),
                        react_1.default.createElement(react_2.Stack, { gap: 1, fontSize: "sm", lineHeight: "normal" },
                            react_1.default.createElement(react_2.Stack, { direction: "row", spacing: 4, w: "full", alignItems: "center" },
                                react_1.default.createElement(react_2.Text, null, "2"),
                                react_1.default.createElement(react_2.Stack, { direction: "row", spacing: 2, align: "center" },
                                    react_1.default.createElement(react_2.Image, { src: "/wumbo.png", alt: "Wumbo Logo", height: "24px", opacity: "0.6" }),
                                    react_1.default.createElement(react_2.Stack, { spacing: 0 },
                                        react_1.default.createElement(react_2.Text, null, "Wumbo Social"),
                                        react_1.default.createElement(react_2.Text, { fontSize: "xs" }, "soWum | @TeamWumbo"))),
                                react_1.default.createElement(react_2.Text, { flexGrow: 1, align: "right", fontWeight: "bold" }, "61.07")),
                            react_1.default.createElement(react_2.Divider, { color: "gray.500" })),
                        react_1.default.createElement(react_2.Stack, { fontSize: "sm", lineHeight: "normal" },
                            react_1.default.createElement(react_2.Stack, { direction: "row", spacing: 4, w: "full", alignItems: "center" },
                                react_1.default.createElement(react_2.Text, null, "3"),
                                react_1.default.createElement(react_2.Text, null, "7G8ocssMyZdvKZXD..."),
                                react_1.default.createElement(react_2.Text, { flexGrow: 1, align: "right", fontWeight: "bold" }, "43.50"))))))))));
exports.Bounties = Bounties;
//# sourceMappingURL=Bounties.js.map