"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Hero = void 0;
const react_1 = __importStar(require("react"));
const image_1 = __importDefault(require("next/image"));
const react_2 = require("@chakra-ui/react");
const constants_1 = require("../../constants");
const react_text_transition_1 = __importStar(require("react-text-transition"));
const callouts = [
    {
        image: "/easyToUse.png",
        heading: "Easy to Use",
        body: "Strata provides SDKs to launch Tokens in an instant. No Rust or Solana experience needed!",
        alt: "launch token solana",
    },
    {
        image: "/freeAndOpen.png",
        heading: "Free and Open",
        body: "Strata is free to use and Open Source. Launch your token without someone else taking a cut!",
        alt: "solana token launch",
    },
    {
        image: "/buildWithReact.png",
        heading: "Build Quickly with React",
        body: "Strata comes with hooks and helpers to make coding using React a breeze.",
        alt: "solana react",
    },
];
const Hero = () => {
    const options = (0, react_1.useMemo)(() => [
        "Social Token",
        "GameFi Token",
        "DAO Token",
        "SubDAO Token",
        "Community Token",
    ], []);
    const [currentOptionIndex, setCurrentOptionIndex] = (0, react_1.useState)(0);
    (0, react_1.useEffect)(() => {
        const timer = setTimeout(() => {
            setCurrentOptionIndex(currentOptionIndex == options.length - 1 ? 0 : currentOptionIndex + 1);
        }, 3000);
        return () => clearTimeout(timer);
    }, [currentOptionIndex, setCurrentOptionIndex, options]);
    return (react_1.default.createElement(react_2.Box, { w: "full", bg: "#191C2A", color: "white" },
        react_1.default.createElement(react_2.Container, { maxW: "container.lg" },
            react_1.default.createElement(react_2.Flex, { align: "center", justify: {
                    base: "center",
                    md: "space-between",
                    xl: "space-between",
                }, direction: { base: "column-reverse", md: "row" }, wrap: "nowrap", py: 20 },
                react_1.default.createElement(react_2.Stack, { spacing: 6, w: { base: "80%", md: "40%" }, align: ["center", "center", "flex-start", "flex-start"] },
                    react_1.default.createElement(react_2.Box, { fontSize: "4xl", fontWeight: "light", lineHeight: "normal", color: "white", textAlign: ["center", "center", "left", "left"] },
                        "The fastest way to",
                        react_1.default.createElement("br", null),
                        "launch and grow your",
                        react_1.default.createElement("br", null),
                        react_1.default.createElement(react_text_transition_1.default, { className: "gradient", inline: true, style: {
                                color: "transparent",
                                fontWeight: "bold",
                            }, text: options[currentOptionIndex], springConfig: react_text_transition_1.presets.default })),
                    react_1.default.createElement(react_2.Text, { fontSize: "md", color: "white", fontWeight: "normal", lineHeight: 1.5, textAlign: ["center", "center", "left", "left"] }, "Strata Protocol is an open-source protocol to launch tokens around a person, project, idea, or collective on Solana."),
                    react_1.default.createElement(react_2.Stack, { direction: "row", gap: 2, w: "full" },
                        react_1.default.createElement(react_2.Button, { isFullWidth: true, colorScheme: "orange", as: react_2.Link, href: `${constants_1.MARKETPLACE_URL}/launchpad`, _hover: {
                                textDecoration: "none",
                            }, isExternal: true }, "Launch a Token"),
                        react_1.default.createElement(react_2.Button, { isFullWidth: true, colorScheme: "orange", variant: "outline", textColor: "white", borderColor: "orange.500", _hover: { bg: "orange.500", textDecoration: "none" }, as: react_2.Link, href: constants_1.DOCS_URL }, "Developer Docs"))),
                react_1.default.createElement(react_2.Box, null,
                    react_1.default.createElement(image_1.default, { src: "/hero.png", alt: "solana social tokens", height: "488px", width: "714px" }))),
            react_1.default.createElement(react_2.Stack, { gap: 4, direction: ["column", "column", "row"], width: { base: "70%", md: "100%" }, margin: "0 auto", pb: 20 }, callouts.map((callout, index) => (react_1.default.createElement(react_2.Box, { key: callout.heading, bgGradient: "linear(to-b, orange.400, yellow.400);", p: "2px", rounded: "md", w: "full", color: "white" },
                react_1.default.createElement(react_2.Box, { h: "full", w: "full", bg: "gray.900", p: 6, rounded: "md" },
                    react_1.default.createElement(react_2.Stack, { gap: 1 },
                        react_1.default.createElement(react_2.Box, null,
                            react_1.default.createElement(image_1.default, { src: callout.image, alt: callout.alt, width: "64px", height: "64px" })),
                        react_1.default.createElement(react_2.Text, { fontSize: "lg", fontWeight: "bold" }, callout.heading),
                        react_1.default.createElement(react_2.Text, { fontSize: "xs" }, callout.body))))))))));
};
exports.Hero = Hero;
//# sourceMappingURL=Hero.js.map