import { Center, Container, HStack, Icon, Link, Stack, Text, VStack, } from "@chakra-ui/react";
import React from "react";
import { RiExternalLinkLine } from "react-icons/ri";
import { BLOG_URL, DISCORD_INVITE_URL, DOCS_URL } from "../constants";
const sections = [
    {
        title: "Docs",
        items: [
            {
                title: "Tutorial",
                isExternal: false,
                href: `${DOCS_URL}`,
            },
        ],
    },
    {
        title: "Community",
        items: [
            {
                title: "Discord",
                isExternal: true,
                href: DISCORD_INVITE_URL,
            },
            {
                title: "Twitter",
                isExternal: true,
                href: "https://twitter.com/StrataProtocol",
            },
        ],
    },
    {
        title: "More",
        items: [
            {
                title: "Blog",
                isExternal: false,
                href: BLOG_URL,
            },
            {
                title: "GitHub",
                isExternal: true,
                href: "https://github.com/StrataFoundation/strata",
            },
        ],
    },
];
export const Footer = () => {
    return (React.createElement(VStack, { bg: "#191C2A", pt: "60px", pb: "120px" },
        React.createElement(Container, { maxW: "container.lg" },
            React.createElement(Stack, { spacing: 16, direction: ["column", "row"] }, sections.map(({ title, items }) => (React.createElement(VStack, { align: "left", key: title },
                React.createElement(Text, { fontWeight: 700, fontSize: "15px", color: "white" }, title),
                items.map((item) => (React.createElement(Link, { href: item.href, key: item.title, fontWeight: 400, fontSize: "15px", color: "orange.500", isExternal: true },
                    React.createElement(HStack, { spacing: 1 },
                        React.createElement(Text, null, item.title),
                        item.isExternal && React.createElement(Icon, { as: RiExternalLinkLine })))))))))),
        React.createElement(Center, { textColor: "gray.400", w: "full" }, "Copyright \u00A9 2022 Strata Foundation.")));
};
//# sourceMappingURL=Footer.js.map