import React from "react";
import { Box, Center, Container, HStack, VStack, Image, Link, IconButton, useDisclosure, } from "@chakra-ui/react";
import { HamburgerIcon, CloseIcon } from "@chakra-ui/icons";
import { DOCS_URL, MARKETPLACE_URL, BLOG_URL } from "../constants";
const Links = [
    { link: "Docs", href: DOCS_URL },
    { link: "Blog", href: BLOG_URL },
    { link: "Launchpad", href: `${MARKETPLACE_URL}/launchpad` },
    { link: "Bounties", href: `${MARKETPLACE_URL}/bounties` },
    /*   { link: "Investors", href: "/investors" }, */
];
const NavLink = ({ href, children }) => (React.createElement(Link, { px: 2, py: 1, href: href, fontSize: "sm" }, children));
export const Header = () => {
    const { isOpen, onOpen, onClose } = useDisclosure();
    /* const { disconnect, connected } = useWallet(); */
    return (React.createElement(React.Fragment, null,
        React.createElement(Box, { zIndex: 100, color: "white", bg: "black.300", w: "full" },
            React.createElement(Center, { w: "full", height: "56px", alignItems: "center" },
                React.createElement(Container, { maxW: "container.lg", w: "full", display: "flex", justifyContent: "space-between", alignItems: "center" },
                    React.createElement(IconButton, { size: "md", bg: "black.300", icon: isOpen ? React.createElement(CloseIcon, null) : React.createElement(HamburgerIcon, null), "aria-label": "Open Menu", display: { md: "none" }, _active: {
                            bg: "black.300",
                        }, _hover: {
                            bg: "black.300",
                        }, onClick: isOpen ? onClose : onOpen }),
                    React.createElement(HStack, { spacing: 8, alignItems: "center" },
                        React.createElement(Link, { href: "/" },
                            React.createElement(Image, { alt: "Strata", src: "/logo.svg" })),
                        React.createElement(HStack, { as: "nav", spacing: 4, display: { base: "none", md: "flex" } }, Links.map((link) => (React.createElement(NavLink, { key: link.link, href: link.href }, link.link))))),
                    React.createElement(Link, { href: "https://solana.com/news/riptide-hackathon-winners-solana#daos-track", isExternal: true, w: "auto", _hover: {
                            cursor: "pointer",
                            opacity: "0.7",
                        } },
                        React.createElement(Image, { src: "/riptideAppBarBanner.png", alt: "riptide hackathon 1st place winner DAOs Track", height: "46px" })))),
            isOpen ? (React.createElement(Box, { pb: 4, display: { md: "none" } },
                React.createElement(VStack, { as: "nav", spacing: 4 }, Links.map((link) => (React.createElement(NavLink, { key: link.link, href: link.href }, link.link)))))) : null)));
};
//# sourceMappingURL=Header.js.map