import React from "react";
import { Box, Container, Flex, Stack, Text, Button, Link, Image, Divider, } from "@chakra-ui/react";
import { MARKETPLACE_URL, DOCS_URL } from "../../constants";
export const Bounties = () => (React.createElement(Box, { w: "full", bg: "gray.900", color: "white" },
    React.createElement(Container, { maxW: "container.lg" },
        React.createElement(Flex, { align: "center", justify: {
                base: "center",
                md: "space-between",
                xl: "space-between",
            }, direction: { base: "column-reverse", md: "row" }, wrap: "nowrap", pt: 20 },
            React.createElement(Stack, { gap: 2, w: { base: "80%", md: "38%" }, align: ["center", "center", "flex-start", "flex-start"] },
                React.createElement(Text, { fontSize: "sm", fontWeight: "semibold", color: "cyan.500" }, "APP SPOTLIGHT"),
                React.createElement(Text, { fontSize: "3xl", fontWeight: "bold" }, "Collective Bounties"),
                React.createElement(Text, null,
                    "Strata Bounties allow you to setup and support projects you would like to see brought to life. Using Bounties, you can commission art projects or get your favorite musician to come to your city!",
                    " "),
                React.createElement(Stack, { direction: "row", gap: 2, w: "full" },
                    React.createElement(Button, { isFullWidth: true, colorScheme: "orange", as: Link, href: `${MARKETPLACE_URL}/bounties`, _hover: {
                            textDecoration: "none",
                        } }, "Try Bounties"),
                    React.createElement(Button, { isFullWidth: true, colorScheme: "orange", variant: "outline", textColor: "white", borderColor: "orange.500", _hover: { bg: "orange.500", textDecoration: "none" }, as: Link, href: `${DOCS_URL}/marketplace/bounties`, px: 16 }, "View Bounties Docs"))),
            React.createElement(Box, { lineHeight: "normal", width: { base: "100%", md: "80%" }, ml: {
                    base: 0,
                    md: 14,
                }, mb: { base: 16, md: 0 } },
                React.createElement(Stack, { bg: "#191C2A", direction: "row", gap: 4, rounded: "lg", border: "1px solid white", p: 8, ml: 30 },
                    React.createElement(Image, { src: "/dtpBounty.png", alt: "Degen Trash Pandas Bounty", width: "48px", height: "48px" }),
                    React.createElement(Stack, { spacing: "4", justifyContent: "left", flexWrap: "wrap" },
                        React.createElement(Text, { fontSize: "xl", fontWeight: "bold" }, "The Degens take on plastic: Because a global problem needs a global $SOLution"),
                        React.createElement(Stack, { direction: "row", gap: 2, fontSize: "sm", display: { base: "none", sm: "flex" } },
                            React.createElement(Text, { align: "left" },
                                React.createElement(Text, { as: "span", fontWeight: "bold" }, "Requester"),
                                " ",
                                "@EndangeredDegen"),
                            React.createElement(Text, { align: "left" },
                                React.createElement(Text, { as: "span", fontWeight: "bold" }, "Approver"),
                                " ",
                                "@EndangeredDegen")),
                        React.createElement(Text, { fontSize: "sm", color: "gray.400" }, "Created 1 day ago"))),
                React.createElement(Box, { bg: "gray.900", display: "inline-block", rounded: "lg", border: "1px solid", borderColor: "cyan.500", p: 4, pr: 12, mt: "-20px" },
                    React.createElement(Stack, { spacing: "2" },
                        React.createElement(Text, null,
                            React.createElement(Text, { as: "span", fontWeight: "bold" }, "1,018.201"),
                            " ",
                            "SOL"),
                        React.createElement(Text, null, "Contributed"))),
                React.createElement(Box, { mt: "-40px", ml: "200px", bgGradient: "linear(to-b, rgba(255, 255, 255, 1), rgba(255, 255, 255, 0))", bgClip: "text", display: { base: "none", sm: "flex" } },
                    React.createElement(Stack, null,
                        React.createElement(Text, { fontSize: "sm", fontWeight: "bold", mb: 2 }, "Top Contributors"),
                        React.createElement(Stack, { fontSize: "sm", lineHeight: "normal" },
                            React.createElement(Stack, { direction: "row", spacing: 4, w: "full", alignItems: "center" },
                                React.createElement(Text, null, "1"),
                                React.createElement(Text, null, "Gc9kFEDJaSv8PEGks..."),
                                React.createElement(Text, { flexGrow: 1, align: "right", fontWeight: "bold" }, "129.00")),
                            React.createElement(Divider, { color: "gray.300" })),
                        React.createElement(Stack, { gap: 1, fontSize: "sm", lineHeight: "normal" },
                            React.createElement(Stack, { direction: "row", spacing: 4, w: "full", alignItems: "center" },
                                React.createElement(Text, null, "2"),
                                React.createElement(Stack, { direction: "row", spacing: 2, align: "center" },
                                    React.createElement(Image, { src: "/wumbo.png", alt: "Wumbo Logo", height: "24px", opacity: "0.6" }),
                                    React.createElement(Stack, { spacing: 0 },
                                        React.createElement(Text, null, "Wumbo Social"),
                                        React.createElement(Text, { fontSize: "xs" }, "soWum | @TeamWumbo"))),
                                React.createElement(Text, { flexGrow: 1, align: "right", fontWeight: "bold" }, "61.07")),
                            React.createElement(Divider, { color: "gray.500" })),
                        React.createElement(Stack, { fontSize: "sm", lineHeight: "normal" },
                            React.createElement(Stack, { direction: "row", spacing: 4, w: "full", alignItems: "center" },
                                React.createElement(Text, null, "3"),
                                React.createElement(Text, null, "7G8ocssMyZdvKZXD..."),
                                React.createElement(Text, { flexGrow: 1, align: "right", fontWeight: "bold" }, "43.50"))))))))));
//# sourceMappingURL=Bounties.js.map