import React from "react";
import { Box, Text, Stack, Container, Button, Link } from "@chakra-ui/react";
import { DISCORD_INVITE_URL, DOCS_URL } from "../../constants";
export const GetStarted = () => (React.createElement(Box, { w: "full", bg: "gray.900", color: "white" },
    React.createElement(Container, { maxW: "container.lg" },
        React.createElement(Stack, { gap: 4, py: 20, alignItems: "center" },
            React.createElement(Text, { fontSize: "3xl", fontWeight: "bold", bg: "linear-gradient(273.71deg, #E4873E 14.63%, #FBC00E 100.31%);", bgClip: "text" }, "Get Started with Strata"),
            React.createElement(Text, { w: { base: "90%", md: "50%" }, align: "center" },
                "Get started with Strata today so you can launch your Collective and build the token ecosystem of your dreams.",
                " "),
            React.createElement(Stack, { direction: "row", gap: 2, w: { base: "90%", md: "50%" } },
                React.createElement(Button, { isFullWidth: true, colorScheme: "orange", as: Link, href: DISCORD_INVITE_URL, _hover: {
                        textDecoration: "none",
                    }, isExternal: true }, "Join the Discord"),
                React.createElement(Button, { isFullWidth: true, colorScheme: "orange", variant: "outline", textColor: "white", borderColor: "orange.500", _hover: { bg: "orange.500", textDecoration: "none" }, as: Link, href: DOCS_URL }, "Developer Docs"))))));
//# sourceMappingURL=GetStarted.js.map