import React from "react";
import { Box, Flex, Text, Stack, VStack, HStack, Divider, Container, Image, } from "@chakra-ui/react";
export const Investors = () => (React.createElement(Box, { w: "full", bg: "#191C2A", color: "white" },
    React.createElement(Container, { maxW: "container.lg" },
        React.createElement(Flex, { align: "center", justify: {
                base: "center",
                md: "space-between",
                xl: "space-between",
            }, direction: { base: "column-reverse", md: "row" }, wrap: "nowrap", py: 20 },
            React.createElement(VStack, { spacing: 10, w: "full" },
                React.createElement(Stack, { spacing: 6, w: { base: "80%", md: "55%" }, align: "center", color: "white" },
                    React.createElement(Text, { fontSize: "3xl", fontWeight: "bold", bg: "linear-gradient(273.71deg, #E4873E 14.63%, #FBC00E 100.31%);", bgClip: "text" }, "Investors"),
                    React.createElement(Text, { align: "center" }, "We've partnered strategically with some of the best minds in crypto because we want nothing but the best for you."),
                    React.createElement(Divider, null)),
                React.createElement(VStack, { justifyContent: "center", spacing: 4 },
                    React.createElement(Flex, { w: "full", justifyContent: "center" },
                        React.createElement(Image, { w: "600px", src: "/investorMulticoin.png", alt: "multicoin capital" })),
                    React.createElement(HStack, { wrap: "wrap", justifyContent: "center", spacing: { base: 0, md: 8 } },
                        React.createElement(Image, { w: "400px", src: "/investorSolana.png", alt: "solana" }),
                        React.createElement(Image, { w: "300px", src: "/investorStartingLine.png", alt: "starting line" })),
                    React.createElement(HStack, { wrap: "wrap", justify: "center", spacing: { base: 0, md: 12 } },
                        React.createElement(Image, { w: "300px", src: "/investorAlameda.png", alt: "alameda research" }),
                        React.createElement(Image, { w: "300px", src: "/investorAsymmetric.png", alt: "asymmetric capital partners" }))))))));
//# sourceMappingURL=Investors.js.map